package messaging

import (
	"context"

	me "github.com/tech/sendico/pkg/messaging/envelope"
)

type Producer interface {
	SendMessage(envelope me.Envelope) error
}

type ReliableProducer interface {
	Producer
	SendWithOutbox(ctx context.Context, envelope me.Envelope) error
}
